Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface RequestGlobals

All Known Implementing Classes:
  RequestGlobalsImpl

    public interface RequestGlobals

Service used to store the current request objects, both the Servlet API versions, and the Tapestry generic versions. The service has a per-thread scope.

Method Summary
`java.lang.String` | `getActivePageName()` Returns the active page name previously stored.
`javax.servlet.http.HttpServletRequest` | `getHTTPServletRequest()` The Servlet API Request.
`javax.servlet.http.HttpServletResponse` | `getHTTPServletResponse()`
`Request` | `getRequest()` The current request.
`Response` | `getResponse()` The current response.
`void` | `storeActivePageName(java.lang.String pageName)` Stores the canonicalized name of the active page for this request.
`void` | `storeRequestResponse(Request request, Response response)`
`void` | `storeServletRequestResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Stores the servlet API request and response objects, for access via the properties.

Method Detail

### storeServletRequestResponse

    void storeServletRequestResponse(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)

  Stores the servlet API request and response objects, for access via the properties.

### getHTTPServletRequest

    javax.servlet.http.HttpServletRequest getHTTPServletRequest()

  The Servlet API Request. This is exposed as service HTTPServletRequest.

### getHTTPServletResponse

    javax.servlet.http.HttpServletResponse getHTTPServletResponse()

### storeRequestResponse

    void storeRequestResponse(Request request,
                              Response response)

### getRequest

    Request getRequest()

  The current request. This is exposed as service Request.

### getResponse

    Response getResponse()

  The current response. This is exposed as service Response.

### storeActivePageName

    void storeActivePageName(java.lang.String pageName)

  Stores the canonicalized name of the active page for this request.

  Parameters:
    `pageName` - name of page (probably extracted from the URL)
  Since:
    5.2.0

### getActivePageName

    java.lang.String getActivePageName()

  Returns the active page name previously stored.

  Returns:
    canonicalized page name
  Since:
    5.2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.